import React, { ComponentProps } from 'react';
import { modeType, sizeType } from '../../utils/componentPropsTypes';
export interface IDialogProps {
    size: sizeType;
    onClose(): any;
    open: boolean;
    children: React.ReactNode;
    closeButton: boolean;
    fullScreen: boolean;
    fullWidth: boolean;
    maxWidth: string | number;
    width?: string | number;
    isMobile?: boolean;
    mobileWidth: 'xs' | 'sm' | 'md' | 'lg' | 'xl';
    colorMod: 'clean' | 'dirty';
    propMode?: modeType;
}
declare const Dialog: React.FC<Partial<IDialogProps> & Omit<ComponentProps<'div'>, keyof IDialogProps>>;
export default Dialog;
